> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kair.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Post devicespairclaim auth



## OpenAPI

````yaml /openapi.json post /devices/pair/claim-auth
openapi: 3.0.0
info:
  title: Kair Voice
  version: '1.0'
servers:
  - url: http://0.0.0.0:8000/api
security: []
tags:
  - name: Admin
  - name: ApiKey
  - name: Auth
  - name: Concerns
  - name: Device
  - name: Graph
  - name: Health
  - name: Job
  - name: Session
  - name: Workshop
  - name: Workspace
paths:
  /devices/pair/claim-auth:
    post:
      tags:
        - Device
      operationId: post-devices-pair-claim-auth
      requestBody:
        content:
          application/json; charset=utf-8:
            schema:
              $ref: '#/components/schemas/ClaimDeviceAuthRequest'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ClaimDeviceAuthResponse'
        '400':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ClaimDeviceAuthRequest:
      type: object
      title: ClaimDeviceAuthRequest
      required:
        - mac_address
        - pairing_token
      properties:
        mac_address:
          type: string
        pairing_token:
          type: string
    ClaimDeviceAuthResponse:
      type: object
      title: ClaimDeviceAuthResponse
      required:
        - success
        - device_auth_token
        - expires_at
      properties:
        success:
          type: boolean
        device_auth_token:
          type: string
        expires_at:
          type: string
    ErrorResponse:
      type: object
      title: ErrorResponse
      required:
        - success
        - message
      properties:
        success:
          type: boolean
        message:
          type: string

````